using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using LLNet.GUI;

namespace LLNet.Tienda.MainForms.Forms
{
    public partial class frmCargando : LLNet.GUI.FormBases.frmBase
    {
        /// <summary>
        /// Contendrá el intervalo en que se ejecutará el timer
        /// </summary>
        private int intervalo = 0;
        /// <summary>
        /// Contendrá el mensaje a mostrar en el formulario
        /// </summary>
        private string mensaje = String.Empty;

        public frmCargando()
        {
            InitializeComponent();
        }

        #region Propiedades

        //Intervalo en que se ejecutará el timer
        public int Intervalo
        {
            set { intervalo = value; }
        }

        //Mensaje que mostrará el label en la pantalla
        public string Mensaje
        {
            set { mensaje = value; }
        }

        #endregion

        #region tm_Cronometro_Tick

        private void tm_Cronometro_Tick(object sender, EventArgs e)
        {
            try
            {
                //Detiene el timer
                tm_Cronometro.Stop();
                //Cierra la pantalla
                this.Dispose();
            }
            catch (Exception ex)
            {
                CApp.ShowMessage(ex.Message, "Error", true);
            }
        }

        #endregion

        #region frmCargando_Load

        private void frmCargando_Load(object sender, EventArgs e)
        {
            try
            {
                //Asigna el intervalo al timer
                tm_Cronometro.Interval = this.intervalo;
                //Asigna el mensaje del label
                lblMensaje.Text = this.mensaje;
            }
            catch (Exception ex)
            {
                CApp.ShowMessage(ex.Message, "Error", true);
            }
        }

        #endregion
    }
}